---
title: PerformanceObserver.takeRecords()
slug: Web/API/PerformanceObserver/takeRecords
tags:
  - API
  - Method
  - Performance Observer API
  - PerformanceObserver
  - Reference
  - observers
  - takeRecords()
---
<div>{{APIRef("Performance Timeline API")}}</div>

<p>The <strong><code>takeRecords()</code></strong> method of the {{domxref('PerformanceObserver')}} interface returns the current list of {{domxref("PerformanceEntry","performance entries")}} stored in the performance observer, emptying it out.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var PerformanceEntry[] = <em>performanceObserver</em>.takeRecords();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A list of {{domxref("PerformanceEntry")}} objects.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var observer = new PerformanceObserver(function(list, obj) {
  var entries = list.getEntries();
  for (var i=0; i &lt; entries.length; i++) {
    // Process "mark" and "frame" events
  }
});
observer.observe({entryTypes: ["mark", "frame"]});
var records = observer.takeRecords();
console.log(records[0].name);
console.log(records[0].startTime);
console.log(records[0].duration);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Performance Timeline Level 2', '#dom-performanceobserver-takerecords', 'takeRecords()')}}</td>
   <td>{{Spec2('Performance Timeline Level 2')}}</td>
   <td>Initial definition of <code>takeRecords()</code> method.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PerformanceObserver.takeRecords")}}</p>
</div>
